import { csv, select } from 'd3';
import { scatterPlot } from './scatterPlot';

const csvUrl = 'https://gist.githubusercontent.com/mNamratha25/d53e57cb24e50190a34472a88fb2d36f/raw/367aaea59eac939d867dfcb60f1940eabc3faac2/student_marks.csv'
const parseRow = (d) => {
  d.time_study = +d.time_study;
  d.number_courses = +d.number_courses;
  d.Marks = +d.Marks;
  return d;
};

const width = window.innerWidth;
const height = window.innerHeight;
const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);

const main = async () => {
  const plot = scatterPlot()
    .width(width)
    .height(height)
    .data(await csv(csvUrl, parseRow))
    .xValue((d) => d.Marks)
    .yValue((d) => d.time_study)
    .margin({
      top: 20,
      right: 20,
      bottom: 40,
      left: 50,
    })
    .radius(5);

  svg.call(plot);

  const columns = [
   'Marks',
    'time_study',
    'number_courses'
  ];
  let i = 0;
  setInterval(() => {
    plot.xValue((d) => d[columns[i % columns.length]]);
    svg.call(plot);
    i++;
  }, 5000);
};
main();



